de.esprit.netsuite.netdata.command

## Class ClientShutdownCommand

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.command.ClientCommand<ClientContext>
      - - de.esprit.netsuite.netdata.command.ClientShutdownCommand

- All Implemented Interfaces:
    CancellableTask, Renderable, SimpleLogSupport, DeepCloneable, Dumpable, ClientObject<ClientContext>, SystemCommand, DeliverableMessage, java.io.Serializable, java.lang.Cloneable

      public class ClientShutdownCommand
      extends ClientCommand<ClientContext>
      implements SystemCommand

  This commands forces the client to disconnect and terminate.

  Note that co-clients ignore this command. Co-clients cannot be killed, rather their server must be shut down.

  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientShutdownCommand(SessionId fromSessId)`
    `ClientShutdownCommand(SessionId fromSessId, SessionId toSessId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeAsync()` This method is called by the clients `ClientCommandTask`.
    `void` | `executeSyncFinally()` This method is called after `ClientCommand.executeAsync()` only if the async execution was successful.

    - ### Methods inherited from class de.esprit.netsuite.netdata.command.ClientCommand

      `cancel, checkCancelled, getArgument, getClientContext, getCommandId, getFromSession, getLogChannel, getName, getRenderColor, getRenderIcon, getRenderText, getServerContext, getTargetSession, getTargetUsers, hasFromSession, hasTargetSession, hasTargetUser, isCoClient, isGuiClient, isLogDebug, isLogVerbose, isSkipSender, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setArgument, setcancelled, setClientContext, setFromSession, setLogChannel, setName, setSkipSender, setTargetSession, setTargetUser, setTargetUsers, sleepChecked, toDumpString, toString, wasCancelled`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientShutdownCommand

          public ClientShutdownCommand(SessionId fromSessId)

    - #### ClientShutdownCommand

          public ClientShutdownCommand(SessionId fromSessId,
                               SessionId toSessId)

  - ### Method Detail

    - #### executeAsync

          public void executeAsync()
                            throws java.lang.Exception

      Description copied from class: `ClientCommand`
      This method is called by the clients `ClientCommandTask`. You must NOT perform any GUI updates within this method. The default implementation is empty.
      Overrides:
        `executeAsync` in class `ClientCommand<ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### executeSyncFinally

          public void executeSyncFinally()
                                  throws java.lang.Exception

      Description copied from class: `ClientCommand`
      This method is called after `ClientCommand.executeAsync()` only if the async execution was successful. If the client has a GUI it runs in the EventDispatcher thread and thus may perform GUI updates. The default implementation is empty.
      Overrides:
        `executeSyncFinally` in class `ClientCommand<ClientContext>`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.